Bug 15164 - Allow editing of the invoice number after initial saving
Summary: Allow editing of the invoice number after initial saving
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-11-10 08:26 UTC by Katrin Fischer
Modified: 2017-12-07 22:17 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 15164 - Allow editing of the invoice number after initial saving (3.08 KB, patch)
2016-08-17 13:45 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 15164 - Allow editing of the invoice number after initial saving (3.25 KB, patch)
2016-08-18 13:55 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 15164 - Allow editing of the invoice number after initial saving (3.33 KB, patch)
2016-08-19 16:05 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2015-11-10 08:26:23 UTC
When you notice a typo in your invoice number after finishing with the receiving process, the only way to correct it right now is in the database - or by undoing all the steps and starting over.

It would be nice if the invoice number could be edited.
Comment 1 Sandre Cunha 2016-08-06 20:26:50 UTC
Yes,it doesn't happen very often, but if the invoice number is incorrect, it will be difficult to locate later, if needed
Comment 2 Jessie Zairo 2016-08-15 19:51:56 UTC
Yes, this would be helpful. I have had several requests to change it on the database side. If a number is miskeyed incorrectly, it would be great to have an option right their for staff to edit the invoice number.
Comment 3 Kyle M Hall 2016-08-17 13:45:29 UTC Comment hidden (obsolete)
Comment 4 Marc Véron 2016-08-18 13:55:44 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2016-08-19 16:05:16 UTC
Created attachment 54653 [details] [review]
Bug 15164 - Allow editing of the invoice number after initial saving

When you notice a typo in your invoice number after finishing with the
receiving process, the only way to correct it right now is in the
database - or by undoing all the steps and starting over.

It would be nice if the invoice number could be edited.

Test Plan:
1) Apply this patch
2) Browse to acqui/invoice.pl for an invoice
3) Note the new "Invoice number" field contains the existing invoice
4) Alter the invoice number
5) Save the invoice
6) Note the invoice number has been updated
7) Edit the invoice again
8) Attempt to save the invoice with an empty invoice number field
9) Note that you cannot save the invoice without having an invoice number

Followed test plan, works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Kyle M Hall 2016-09-09 15:16:04 UTC
Pushed to master for 16.11!